# Class PageGroup

java.lang.Object
net.sf.statcvs.pages.PageGroup

All Implemented Interfaces:
  `NavigationNode`

public class PageGroup extends Object implements NavigationNode

## Constructor Summary

Constructors
Constructor
Description
`PageGroup(String title)`
`PageGroup(String title, boolean connectSiblings)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(NavigationNode page)`
`String`
`asLinkList()`
`String`
`asParentLink()`
`String`
`getFullTitle()`
`String`
`getShortTitle()`
`String`
`getURL()`
`void`
`setParent(NavigationNode parentPage)`
Sets the page's parent.
`void`
`setShowLinkToPreviousSibling(boolean showLink)`
`void`
`setSiblings(String siblingsTitle, List siblingPages)`
Sets a list of `Page`s that are siblings of this page.
`void`
`write()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PageGroup

public PageGroup(String title)

### PageGroup

public PageGroup(String title, boolean connectSiblings)

## Method Details

### add

public void add(NavigationNode page)

### setParent

public void setParent(NavigationNode parentPage)
Description copied from interface: `NavigationNode`
Sets the page's parent. The generated page will link back to the parent.

Specified by:
  `setParent` in interface `NavigationNode`

### setSiblings

public void setSiblings(String siblingsTitle, List siblingPages)
Description copied from interface: `NavigationNode`
Sets a list of `Page`s that are siblings of this page. The generated page will contain a navigation list that links to all siblings. The sibling list may contain the page itself.

Specified by:
  `setSiblings` in interface `NavigationNode`
Parameters:
  `siblingsTitle` - Title for navigation list, e.g. "Monthly Reports"

### setShowLinkToPreviousSibling

public void setShowLinkToPreviousSibling(boolean showLink)

Specified by:
  `setShowLinkToPreviousSibling` in interface `NavigationNode`

### getFullTitle

public String getFullTitle()

Specified by:
  `getFullTitle` in interface `NavigationNode`

### getShortTitle

public String getShortTitle()

Specified by:
  `getShortTitle` in interface `NavigationNode`

### getURL

public String getURL()

Specified by:
  `getURL` in interface `NavigationNode`

### write

public void write()

Specified by:
  `write` in interface `NavigationNode`

### asLinkList

public String asLinkList()

### asParentLink

public String asParentLink()

Specified by:
  `asParentLink` in interface `NavigationNode`